API Docs
YMS API
Receipt
GET Get Receipt

GET Get Receipt

Introduction

Retrieve a single receipt by its receipt ID. Returns the complete receipt information including status, carrier, customer, equipment details, item lines, and all associated data.

API Request

GET /receipt/{receiptId}

Request Parameters

NameLocationTypeRequiredDescription
receiptIdpathstringYesReceipt ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "receiptId": "",
    "receiptStatus": "",
    "receiptType": "",
    "poNo": "",
    "carrierId": "",
    "customerId": "",
    "referenceNo": "",
    "equipmentType": "",
    "equipmentNo": "",
    "totalPalletQty": 0,
    "itemLines": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "appointmentTime": "",
    "appointmentId": "",
    "sealNo": "",
    "dataChannel": "",
    "eventTime": "",
    "extraData": "",
    "carrierName": "",
    "customerName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRReceiptView (opens in a new tab)